2017-12-28  Morten Welinder <terra@gnome.org>

	* Release 1.12.38

2017-12-25  Morten Welinder  <terra@gnome.org>

	* src/gnm-plugin.c: Avoid using "textdomain" as a variable.
	* src/func-builtin.c (func_builtin_init): Ditto.

2017-12-23  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.c (stf_parse_sheet): Fix crash on text important.

2017-12-04  Morten Welinder  <terra@gnome.org>

	* src/ssdiff.c (GnmDiffState): Store old_sheet and new_sheet here
	instead of passing them all over the place.
	(diff): Compare names too.

2017-12-03  Morten Welinder  <terra@gnome.org>

	* src/ssdiff.c (SSDIFF_DTD): Add proper xmlns definition.
	(diff): Missing or extra sheet counts as a difference.

	* src/mstyle.c (gnm_style_find_differences): Don't crash when
	hlink/validation/inputmsg/conditions is NULL in one and not the other.

	* src/ssdiff.c (diff_sheets_colrow): New function to compare
	row/column sizes.
	(highlight_cell_changed): Survive missing cell.

2017-12-01  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2017-12-01  Morten Welinder <terra@gnome.org>

	* Release 1.12.37

2017-11-30  Morten Welinder  <terra@gnome.org>

	* src/print-cell.c (gnm_gtk_print_cell_range): Eliminate g_alloca
	usage.
	* src/parse-util.c (wbref_parse): Ditto.
	* src/preview-grid.c (preview_grid_draw_region): Ditto.
	* src/item-grid.c (item_grid_draw_region): Ditto.
	* src/parser.y (yylex): Ditto.
	* src/criteria.c (parse_database_criteria): Ditto.

	* src/sheet-filter.c (gnm_filter_combo_apply): Use heap, not
	stack, allocation.

	* src/sheet-style.c (sheet_style_find_conflicts): Use heap, not
	stack, allocation.

2017-11-29  Morten Welinder  <terra@gnome.org>

	* src/sstest.c (enumerate_functions): Make sure function is loaded.

	* src/func-builtin.c (help_table): Add help text for TABLE.

	* src/func.c (gnm_func_enumerate): Introspection annotation.

	* src/sstest.c (function_dump_defs): Move from func.c with all
	support code.
	(gnm_func_sanity_check): Ditto.

	* src/libgnumeric.c (gnm_dump_func_defs): Not needed anymore.

	* src/main-application.c (pathetic_qt_workaround): Not needed
	anymore.

	* (gnumeric-object-combo.png): redo based on list combo.  This avoids
	looking strange when insensitive and also is a consistent size.

2017-11-18  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2017-11-18  Morten Welinder <terra@gnome.org>

	* Release 1.12.36

2017-10-29  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnumeric.css: add grid:selected back-color.
	* src/item-grid.c (item_grid_draw_region): fix background of multiple
	selection. [#789411]

2017-10-23  Morten Welinder  <terra@gnome.org>

	* src/func.c (gnm_func_convert_markup_to_pango): Avoid dead kitten
	criticals.

2017-07-06  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2017-07-06  Morten Welinder <terra@gnome.org>

	* Release 1.12.35

2017-06-30  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c
	(sheet_widget_slider_horizontal_draw_cairo): use narrower slider
	button

2017-05-18  Morten Welinder  <terra@gnome.org>

	* src/sf-bessel.c (hankel1_A1): Use also libc's jn for smallish
	integer orders.
	(jy_via_j_series): Rename from y_via_j_series and supply both J
	and Y results.  Use the full J result accuracy.
	(gnm_bessel_phi): Improve divergence check.

2017-05-16  Morten Welinder  <terra@gnome.org>

	* src/sf-bessel.c (debye_33): Handle near-overflow better.
	(gnm_bessel_j, gnm_bessel_y): Use modulus/phase method when
	appropriate.

	* src/gutils.c (gnm_utf8_strto): Handle denormals better.

	* src/value.c (value_new_from_string): Handle denormals betters.

2017-04-05  Morten Welinder  <terra@gnome.org>

	* src/sf-trig.c (gnm_reduce_pi): Rename from reduce_pi_half.
	Generalize to Pi/2^e and make public.

2017-03-28  Morten Welinder  <terra@gnome.org>

	* src/sf-bessel.c (y_via_j_series): Use gnm_yn if we can.
	(hankel1_A1): Use gnm_yn if we can.  Near integer order, center
	around the integer with odd count when we can.

2017-03-21  Morten Welinder  <terra@gnome.org>

	* src/sstest.c (rand_fractile_test): Allow 4*sqrt(expected)
	deviation for each bin.
	(test_random_randchisq, test_random_randtdist)
	(test_random_randfdist): Don't allow df=0.
	(test_random_randbeta): Don't floor the parameters thus avoiding
	zero.

2017-03-20  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2017-03-20  Morten Welinder <terra@gnome.org>

	* Release 1.12.34

2017-03-17  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (sheet_style_init_size): Don't hand-create a
	bogus GnmColor here.  The fake object prevents GnmColor equality
	from working which in turn prevents GnmBorder equality from
	working.

	* src/style-color.c (gnm_color_make): Rename from
	gnm_color_new_uninterned and handle caching here.
	(gnm_color_new_auto): New function.

	* src/ssdiff.c (main): Exit 2 on error, 1 of diffs, 0 if no diff.
	(compare_corresponding_cells): Fall back to string comparison.
	References like Sheet1!A1 should match even if they, obviously,
	refer to sheets in different workbooks.

	* src/style-conditions.c (gnm_style_conditions_equal): Add new
	relax_sheet argument.

	* src/validation.c (gnm_validation_equal): New function.

	* src/mstyle.c (gnm_style_find_differences): New function.

	* src/ssdiff.c (xml_style_changed): Use
	gnm_style_find_differences.

	* src/ssdiff.c (cb_diff_sheets_styles_2): Use relaxed
	gnm_style_find_differences, not gnm_style_equal.

	* src/hlink.c (gnm_hlink_equal): New function.

2017-03-13  Morten Welinder  <terra@gnome.org>

	* src/hlink.c (gnm_hlink_cur_wb_set_target): Improve parsing of
	inter-sheet local name references.

2017-03-10  Morten Welinder  <terra@gnome.org>

	* src/hlink.c (gnm_hlink_get_name_target)
	(gnm_hlink_get_range_target): New functions.
	(gnm_hlink_cur_wb_activate): Use gnm_hlink_get_range_target.

2017-03-07  Morten Welinder  <terra@gnome.org>

	* src/parser.y (parser_simple_name): Extract from
	parser_simple_val_or_name.  Extend to handle explicit sheet.
	("sheetref STRING"): Ise parser_simple_name.

2017-03-06  Morten Welinder  <terra@gnome.org>

	* src/expr-name.c (expr_name_add): Plug leak.

2017-03-05  Morten Welinder  <terra@gnome.org>

	* src/hlink.c (GnmHLinkCurWB): Store location as dependent.
	(gnm_hlink_cur_wb_activate): Move string parsing from here...
	(gnm_hlink_cur_wb_set_target): ...to here.  Check name first as
	value_new_cellrange_str will resolve a name.

	* src/mstyle.c (gnm_style_linked_sheet_changed): Handle changed
	sheet for hlinks too.

	* src/hlink.c (gnm_hlink_new, gnm_hlink_dup, gnm_hlink_get_sheet)
	(gnm_hlink_set_sheet): New functions.

2017-01-30  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2017-01-30  Morten Welinder <terra@gnome.org>

	* Release 1.12.33

2017-01-29  Morten Welinder  <terra@gnome.org>

	* src/style-conditions.c (gnm_style_cond_equal): New function.
	(gnm_style_conditions_equal): ...split out from here.

2017-01-25  Morten Welinder  <terra@gnome.org>

	* src/mstyle.c (ELEM_IS_EQ): Fix last fix.

2017-01-22  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.c (stf_cell_set_text): Don't parse "=..." as
	expression for text formatted cells.
	(stf_parse_sheet): Don't try number parsing for text formatted
	columns.  Fixes #777543.

2017-01-22  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (cb_assign_string), (gnm_go_data_vector_get_str): use cell
	format when generating the string. [#777338]

2017-01-19  Morten Welinder  <terra@gnome.org>

	* src/mstyle.c (ELEM_IS_EQ): Don't compare conditions by pointer.

	* src/style-conditions.c (gnm_style_conditions_equal): New
	function.

2016-12-08  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (gnm_linear_solve): Use proper matrix type.  All
	callers changed.
	(gnm_linear_solve_multiple): Ditto.

2016-10-02  Morten Welinder  <terra@gnome.org>

	* src/libgnumeric.c (gnm_pre_parse_init): Don't pretend the
	g_mem_set_vtable stuff actually works anymore.

2016-08-21  Morten Welinder  <terra@gnome.org>

	* src/sstest.c (options): Add --fast option.

	* src/value.c (value_get_as_gstring): Let a negative
	decimal_digits mean "shortest round-tripping string".

2016-08-20  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2016-08-20  Morten Welinder <terra@gnome.org>

	* Release 1.12.32

2016-08-08  Morten Welinder  <terra@gnome.org>

	* src/criteria.c (criteria_inspect_values): Add flag for string
	coercion.  Only the equality test wants that.

	* src/value.c (criteria_inspect_values): Floats don't match
	errors.

2016-08-04  Morten Welinder  <terra@gnome.org>

	* src/rangefunc-strings.c (range_concatenate): Add (unused) user
	pointer.

	* src/collect.c (string_range_function): Add user pointer.  Caller
	changed.

2016-06-29  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2016-06-29  Morten Welinder <terra@gnome.org>

	* Release 1.12.31

2016-06-29  Morten Welinder  <terra@gnome.org>

	* src/parse-util.c (std_expr_name_handler): Fix workbook confusion
	related to sheet-local names.  [#768164]

2016-06-28  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.c (stf_parse_options_guess_formats): Handle lines
	of different lenghts.

2016-06-21  Morten Welinder  <terra@gnome.org>

	* src/value.c (criteria_test_greater_or_equal): Use case-folding
	comparisons for strings.
	(parse_criteria, parse_criteria_range): Add argument controlling
	whether to anchor matching at end of string.
	(parse_database_criteria): Don't anchor here.

2016-06-17  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2016-06-17  Morten Welinder <terra@gnome.org>

	* Release 1.12.30

2016-06-17  Morten Welinder  <terra@gnome.org>

	* src/value.c (parse_criteria): Anchor matches at the beginning,
	but not at the end.

2016-06-11  Morten Welinder  <terra@gnome.org>

	* src/value.c (find_rows_that_match): Fix blank handling.
	(criteria_test_unequal): Wrong type means unequal.
	(criteria_test_match): Only match strings.
	(parse_criteria): Don't anchor matches.  This is the right thing
	to do for DSUM and friends.  Hopefully this doesn't break anything
	else.
	(criteria_inspect_values): Strings are incompatible with
	non-strings.
	(criteria_test_less, criteria_test_less_or_equal)
	(criteria_test_greater, criteria_test_greater_or_equal): handle
	strings.

2016-05-19  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.c (stf_parse_options_guess_formats): Separate
	decimal counts for the hypothetical comma and point choices.

2016-05-10  Morten Welinder  <terra@gnome.org>

	* src/stf-parse.h (struct StfParseOptions_t): Remove unused struct
	members.  Doc fix.

2016-05-06  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2016-05-06  Morten Welinder <terra@gnome.org>

	* Release 1.12.29

2016-04-29  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnm_style_context_get_color): Fix function
	wrapping gtk_style_context_get_color which changed API.

2016-04-24  Morten Welinder  <terra@gnome.org>

	* src/value-sheet.c (value_area_get_x_y): Use
	gnm_rangeref_normalize.  Do full wrap-around.

2016-04-24  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_matrix_load_values): fix array
	reading. [#765483]

2016-04-17  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.ac: protect against pxlib weirdness.

2016-04-17  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_vector_load_len): return a nul length if the
	value is an error.

2016-03-22  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2016-03-22  Morten Welinder <terra@gnome.org>

	* Release 1.12.28

2016-03-02  Morten Welinder  <terra@gnome.org>

	* src/sf-bessel.c: Return complex numbers by value, not reference.

2016-02-23  Morten Welinder  <terra@gnome.org>

	* src/sf-gamma.c: Properly use gnm_ldexp, not ldexp.

2016-02-18  Morten Welinder  <terra@gnome.org>

	* src/parse-util.c (unquote): Properly account backslashes.  Fixes
	#762278.

2016-02-12  Morten Welinder  <terra@gnome.org>

	* src/complex.h: Add a direct-value interface.

	* src/ssconvert.c (run_solver): Also create solver reports as
	indicated in options.

	* src/cell-draw.c (cell_draw_simplify_attributes): Plug leak.

2016-02-10  Morten Welinder  <terra@gnome.org>

	* src/gnumeric.css (toolbarzone): Set padding for toolbar children
	to 1px.  While that may be a sligh increase for certain
	themes/gtk+ versions, it is a large decrease for others, notably
	what comes with an out-of-the-box OpenSuSE leap.  Override in
	~/.config/gtk-3.0/gtk.css if need be.

	* src/wbc-gtk.c (cb_scroll_wheel): Use shift modifier with scroll
	wheel for horizontal motion instead of alt.  Window managers tend
	to eat the latter.

2016-02-08  Morten Welinder  <terra@gnome.org>

	* src/graph.c (gnm_go_data_vector_eval)
	(gnm_go_data_vector_finalize): Plug leak.

2016-02-06  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2016-02-06  Morten Welinder <terra@gnome.org>

	* Release 1.12.27

2016-02-06  Morten Welinder  <terra@gnome.org>

	* configure.ac (goffice): Require latest for
	go_complex_from_polar_pi.

	* src/sf-gamma.c (complex_igamma): Apply fixup for upper gamma
	when x<0 and a is real.

2016-02-04  Morten Welinder  <terra@gnome.org>

	* src/sf-gamma.c (complex_temme_D): Fix factorial computation.
	(gnm_complex_continued_fraction): Fail if we would otherwise try
	to rescale by 0.  Fix termination condition.
	(igamma_asymp): Fix term update.
	(complex_igamma): Fix flavour fixup.

2016-02-02  Morten Welinder  <terra@gnome.org>

	* src/sf-gamma.c (complex_igamma): Try asymptotic expansion.
	(gamma_error_factor): Extend to all positive numbers.
	(pochhammer_small_n): Allow any x > 1.
	(qbetaf): Use pochhammer_small_n as long as a > 1 and |b| < 1.

2016-02-01  Morten Welinder  <terra@gnome.org>

	* configure.ac (yacc, lex): Fail if the required program isn't
	found.

2016-01-31  Morten Welinder  <terra@gnome.org>

	* src/sf-gamma.c (igamma_upper_cf): Extract generic code for
	complex continued fractions.

2016-01-30  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c (get_font): Under ssconvert, don't try
	GtkStyleContext.  Another ABI changes causes that to crash.

	* src/value.c (find_column_of_field): Insist that the database be
	a cell range, not an array.

2016-01-29  Morten Welinder  <terra@gnome.org>

	* src/sf-bessel.c (gnm_bessel_i): Use series for small x.
	(bessel_ij_series): Rename from bessel_j_series and extend to
	handle i also.

	* src/sf-gamma.c (qbetaf): Improve accuracy in the case where one
	argument is less than one.

	* src/xml-sax-read.c (xml_sax_filter_condition): Leak fix and warn
	about broken sheet filter.

	* src/sheet-filter.c (gnm_filter_condition_new_single)
	(gnm_filter_condition_new_double): Plug leak on error.
	(gnm_filter_op_needs_value): Handle GNM_FILTER_UNUSED.

2016-01-28  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_vector_get_str): fix for a range
	value. [#761048]

2016-01-27  Morten Welinder  <terra@gnome.org>

	* src/sf-bessel.c (gnm_bessel_j, gnm_bessel_y): New
	implementation.

	* src/wbc-gtk.c (cb_add_menus_toolbars): Work around gtk+ bug with
	css styling.

2016-01-23  Morten Welinder  <terra@gnome.org>

	* src/parser.y (yylex): Be careful about overflowing numeric
	token.  Fixes #761023.

2016-01-20  Morten Welinder  <terra@gnome.org>

	* src/complex.h: Namespace.  Mostly for macros.

2016-01-16  Morten Welinder  <terra@gnome.org>

	* src/gnumeric-simple-canvas.c (gnm_simple_canvas_ungrab): Drop
	unused time argument.  All callers changed.
	(gnm_simple_canvas_grab): Remove unused arguments and return
	value.  All callers changed.

	* src/item-bar.c (item_bar_button_pressed): Handle multiple clicks
	without regrabbing the focus.  See #760639.

2016-01-13  Morten Welinder  <terra@gnome.org>

	* src/sstest.c (test_random_randsnorm)
	(test_random_randbernoulli): Print expected stats.

	* src/xml-sax-read.c (xml_sax_filter_condition): Ensure o0 and op1
	are sane.  Fixes #760544.

2016-01-08  Morten Welinder  <terra@gnome.org>

	* src/sf-dpq.c (drayleigh): Undo last change and improve accuracy.

2016-01-06  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (ebd0): Fix problem with overflow.  [#760230]

2016-01-04  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (sheet_style_apply_range)
	(sheet_style_set_range): Silently ignore inverted ranges.

2016-01-03  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (sheet_style_apply_range)
	(sheet_style_set_range): Ensure sanity of range.  Fixes #760102.

2016-01-02  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (expmx2h): Explicitly handle nan, just in case.

	* src/go-data-cache.c (go_data_cache_records_set_size): Check for
	zero record size.  Fixes #760087.

	* src/mathfunc.c (pow1p): Handle nan.  Fixes #760085.

2016-01-01  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (gnm_sheet_constructed): Chain ->constructed early.

	* src/expr-name.c (expr_name_add): Improve check for circular name
	defintion.  Fixes #760046.

2015-12-28  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (convert): When separating sheets, move current
	sheet to the front.  See bug #694408.

	* src/stf-export.c (gnm_stf_file_saver_save): If we add current
	sheet, remove it at the end.

2015-12-28  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-12-28  Morten Welinder <terra@gnome.org>

	* Release 1.12.26

2015-12-26  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (sheet_control_gui_new): Hook up screen
	change here (on the grid).
	(scg_class_init): Not here.  We're not derived from GtkWidget.

	* src/sheet-style.c (foreach_tile_r): Rename from foreach_tile.
	(foreach_tile): New top-level function taking few parameters.  All
	callers changed.

2015-12-25  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-12-25  Morten Welinder <terra@gnome.org>

	* Release 1.12.25

2015-12-22  Morten Welinder  <terra@gnome.org>

	* src/ssdiff.c (xml_style_changed): Do more for input message and
	validation.

2015-12-20  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (scg_screen_changed): New handler to get
	screen size.
	(scg_resize): Limit frozen zones to screen size.  Not idea, but
	better than crashing.

2015-12-19  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_find_action): Search toolbar actions too.

2015-12-13  Morten Welinder  <terra@gnome.org>

	* src/sheet-merge.c (gnm_sheet_merge_relocate): Handle extending
	merges on column/row insert.  Fixes #504004.

2015-12-12  Morten Welinder  <terra@gnome.org>

	* src/sheet-merge.c (gnm_sheet_merge_relocate): Handling clipping
	when the merge partially falls off the far end.

2015-12-10  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnm_action_group_add_action): New wrapper to
	ensure actions get accel paths.

2015-12-09  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_find_action): New function to look in
	multiple places for an action.

	* src/gui-util.c (gnm_action_group_add_actions): Handle
	translation context.  Also handle toggle actions.

2015-12-08  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c (actions): Use GnmActionEntry and C99
	syntax.

	* src/gui-util.c (gnm_action_group_add_actions): New function,
	currently quite dumb.

	* configure.ac (CC): Insist on c99.

2015-12-05  Morten Welinder  <terra@gnome.org>

	* src/sf-dpq.c (prayleigh, qrayleigh): New functions.
	(drayleigh): Define in terms of dweibull.

2015-12-03  Morten Welinder  <terra@gnome.org>

	* src/sf-dpq.c (discpfuncinverter): Fix problem at left edge of
	support.  Fixes R.QHYPER(0.1,3,99,13)

2015-10-19  Morten Welinder  <terra@gnome.org>

	* src/func-builtin.c (gnumeric_table): Make sure to invalidate
	in[2].  Fixes #752182.

2015-09-25  Morten Welinder  <terra@gnome.org>

	* src/func-builtin.c (gnumeric_table): Don't try to be smart and
	avoid value copying.  Fixes #752181.
	(gnumeric_table): Handle repeated cells.  Fixes #752178.

2015-09-20  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-09-20  Morten Welinder <terra@gnome.org>

	* Release 1.12.24

2015-09-19  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gui-file.c (gui_file_save_as): just change the extension not more
	when the original filename has several dots. [ubuntu #1497344]

2015-09-11  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object.c (cb_so_snap_to_grid): fixed for one cell and absolute
	anchors. [#754792]

2015-08-24  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object.c (sheet_object_update_bounds),
	(sheet_object_set_sheet), (sheet_object_pts_to_anchor): make sure that
	the objects bounds are always updated. Really fix printing.
	* src/xml-sax-write.c (xml_write_objects): revert previous change.

2015-08-23  Jean Brefort  <jean.brefort@normalesup.org>

	* src/print.c (gnm_print_sheet_objects): a better fix for sheet objects
	printing, but still not perfect.
	* src/sheet-object.c (sheet_object_pts_to_anchor): ditto.
	* src/xml-sax-write.c (xml_write_objects): ditto.

2015-08-22  Jean Brefort  <jean.brefort@normalesup.org>

	* src/print.c (gnm_print_sheet_objects): fix printing of sheet objects
	with one cell or absolute anchors. [#753961]
	* src/sheet-object.c (sheet_object_draw_cairo):

2015-07-28  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-07-28  Morten Welinder <terra@gnome.org>

	* Release 1.12.23

2015-07-14  Morten Welinder  <terra@gnome.org>

	* schemas/org.gnome.gnumeric.dialogs.gschema.xml.in.in: Fix typo.
	#752259.

2015-07-09  Morten Welinder  <terra@gnome.org>

	* src/position.c (gnm_cellpos_init_cellref_ss): Do a full modulo
	operation.  Fixes #752124.

2015-07-06  Morten Welinder  <terra@gnome.org>

	* src/func-builtin.c (gnumeric_table): Avoid FMR.  Fixes #752021.

2015-07-05  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-graph.c (vector_end): fix array overflow. [#751971]

2015-07-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/value.c (value_compare_real): handle two empty values however
	they appear

2015-07-03  Morten Welinder  <terra@gnome.org>

	* src/func-builtin.c (gnumeric_table): Return #REF! outside array
	context.

2015-06-30  Morten Welinder  <terra@gnome.org>

	* src/expr.c (gnm_expr_eval): Don't crash if an empty array makes
	it all the way here.

2015-06-29  Morten Welinder  <terra@gnome.org>

	* src/func.c (function_iterate_argument_values): Improve name
	handling.  Part of #751660.

2015-06-28  Morten Welinder  <terra@gnome.org>

	* src/value-sheet.c (value_area_get_width, value_area_get_height):
	Use the same normalization as value_area_foreach.  Fixes #751390.

	* src/stf.c (clear_stray_NULs): Also truncate invalid UTF-8.
	Fixes #751577.

2015-06-26  Morten Welinder  <terra@gnome.org>

	* src/value.c (value_new_array_empty): Store value_new_empty(),
	not NULL, in the slots.  We can make this change because
	value_new_empty() is a singleton that does not need to be
	released.  Fixes #751502.

2015-06-24  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-graph.c (dim_start): fix index test. [#751383]

2015-06-23  Jean Brefort  <jean.brefort@normalesup.org>

	* src/xml-sax-read.c (gnm_xml_finish_obj), (xml_sax_read_obj),
	(xml_sax_object_end): ensure we always use the right state. [#751217]

2015-06-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* samples/excel/engfuns.xls: update to use correct lbm->g conversion

2015-06-20  Morten Welinder  <terra@gnome.org>

	* src/go-data-cache.c (go_data_cache_records_set_size): Check for
	overflow.
	(go_data_cache_records_fetch_index): If resizing failed return
	NULL early.

2015-06-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/parse-util.h (_GnmConventions): add union_char field
	* src/parser.y (yylex): handle union_char
	(setup_state): set union_char

2015-06-18  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_read_obj): Only allow type names
	specifying types derived from sheet objects.  Fixes #751126.
	(xml_sax_hlink): Similarly.

2015-06-16  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (handle_delayed_names): Check for circularity
	in names.  Fixes #751056.

2015-05-27  Morten Welinder  <terra@gnome.org>

	* src/print.c (compute_scale_fit_to): Attempt a workaround for fp
	division by zero.  Fixes #749917.

	* src/gnm-so-filled.c (gnm_so_filled_draw_cairo): Plug leak.

2015-05-16  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-image.c (content_start): fixed leak, [see #749444,
	comment #3]

2015-05-11  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_validation_msg): Fix clang warning about
	something bad that will happen whenever FALSE equals TRUE.

	* src/go-data-cache.c (go_data_cache_set_val): Use memcpy for
	inline values.

	* src/cell.c (gnm_cell_set_array): Improve preconditions.

2015-05-09  Morten Welinder  <terra@gnome.org>

	* src/mstyle.c (gnm_style_set_font_uline): Add sanity check.

2015-04-28  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (read_file_free_state): Plug leaks related to
	malformed documents.  Fixes #748596.
	(xml_sax_unknown): Don't rely on xin->user_state here.  Fixes
	#748595.

2015-04-16  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-04-16  Morten Welinder <terra@gnome.org>

	* Release 1.12.22

2015-04-15  Morten Welinder  <terra@gnome.org>

	* src/ranges.c (gnm_range_compare): New function.

2015-04-13  Jean Brefort  <jean.brefort@normalesup.org>

	* src/wbc-gtk.c (set_entry_contents): format number whenever possible.
	(see #700599, comment #11).

2015-04-11  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-image.c (gnm_soi_assign_to_sheet): if there is no
	sheet object name, try the image name.

2015-04-11  Morten Welinder  <terra@gnome.org>

	* src/sf-dpq.c (qcauchy): Handle cancellation.

	* src/mathfunc.c (pcauchy): Simplify.

	* src/sf-dpq.c (dnorm): Improve accuracy in certain far-tail cases.
	(drayleigh): Import from fn-stat.  Rename.  Improve accuracy.

2015-04-09  Morten Welinder  <terra@gnome.org>

	* src/sheet-filter.c (filter_expr_eval): Fix UMR in the non-match
	case.

2015-04-04  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_read_obj): Fix reading anchor mode.
	Fixes #747356.

	* src/xml-sax-write.c (xml_write_objects): Save only relevant
	parts of the cell bound.

	* src/sheet-control-gui.c (scg_object_coords_to_anchor):
	Initialize parts of cell_bound not used.

2015-04-01  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-graph.c (gnm_sogg_prep_sax_parser): Use
	GNM_XML_2ND here too.
	(gnm_sogg_sax_parser_done): Plug leak.

2015-03-30  Morten Welinder  <terra@gnome.org>

	* src/sheet-object.c (gnm_sheet_object_anchor_mode_get_type): New
	function.

	* src/xml-sax-read.c (xml_sax_read_obj): Use an enum for anchor
	mode.

	* src/sstest.c (test_random_randhyperg): Take var=0 case into
	account when checking mean.

	* src/sheet-object-graph.c (sheet_object_graph_new): Allow NULL
	graph here.

2015-03-30  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.h: add support for absolute anchoring of sheet objects.
	* src/item-grid.c: ditto.
	* src/sheet-control-gui.c: ditto.
	* src/sheet-filter.c: ditto.
	* src/sheet-object-cell-comment.c: ditto.
	* src/sheet-object-component.c: ditto.
	* src/sheet-object-graph.c: ditto and make graphs not anymore resize with
	cells by default. [#684450]
	* src/sheet-object-image.c: make images don't resize with cells by default.
	* src/sheet-object.c : add support for absolute anchoring of sheet objects.
	* src/sheet-object.h: ditto.
	* src/workbook-view.c: ditto.
	* src/xml-sax-read.c: ditto.
	* src/xml-sax-write.c: ditto.

2015-03-30  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (grammar): Use new libgsf check for "2nd".

2015-03-23  Morten Welinder  <terra@gnome.org>

	* src/sstest.c (rand_fractile_test): Plug leak.

2015-03-21  Morten Welinder  <terra@gnome.org>

	* src/sstest.c (rand_fractile_test): Add support for
	non-continuous distributions.

	* src/mathfunc.c (qgeom): Update to current version in R.

	* src/gnm-random.c (random_geometric): Don't add one.
	r.{d,p,q}geom all use the version with support {0,1,2,3,...}

2015-03-20  Morten Welinder  <terra@gnome.org>

	* src/sstest.c (test_random_randbinom): New test.
	(test_random_randbetween): New test.
	(test_random_randexp): New test.
	(test_random_randpoisson): New test.
	(test_random_randgeom): New test.
	(test_random_randnegbinom): New test.
	(test_random_randlog): New test.
	(test_random_randdiscrete): New test.
	(test_random_randgamma): New test.
	(test_random_randtdist): New test.
	(test_random_randuniform): New test.
	(test_random_randfdist): New test.
	(test_random_randcauchy): New test.
	(test_random_randbeta): New test.
	(test_random_randchisq): New test.
	(test_random_randhyperg): New test.

	* src/gnm-random.c (random_logarithmic): Fix.  See #746449.

2015-03-19  Morten Welinder  <terra@gnome.org>

	* src/func.c (dump_samples): New function to dump all sample in
	help documentation to csv format.

	* src/sf-gamma.c (qbetaf): Return zero as result when a+b is a
	non-positive integer, but neither a nor b is.

2015-03-07  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c: Use new go_xml_out_add_double.

	* src/sheet-object-widget.c
	(sheet_widget_adjustment_write_xml_sax): Use new
	go_xml_out_add_double.

	* src/sheet-object-image.c (gnm_soi_write_xml_sax): Use new
	go_xml_out_add_double.

2015-03-05  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-image.c (sheet_object_image_set_image): Drop
	copy_data argument and simply assume it.

2015-03-04  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-03-04  Morten Welinder <terra@gnome.org>

	* Release 1.12.21

2015-03-03  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (gnm_xml_file_save_full): Back down on the
	version we write and document why we can't easily increase that
	version.

2015-03-02  Morten Welinder  <terra@gnome.org>

	* src/xml-io-version.h (GnumericXMLVersion): Add new dtd version.

	* src/xml-sax-read.c (xml_sax_wb): Bring dtd list up to date.
	(xml_sax_version): Bring version list up to date.

2015-03-01  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c
	(sheet_widget_list_base_set_selection_value): Plug leak.

2015-02-28  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-image.c (gnm_soi_assign_to_sheet): ensure that the
	pixbuf stores the image type.

2015-02-28  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-image.c (SheetObjectImage): Just keep the
	image, not the bytes in addition.
	(gnm_soi_class_init): Use property "image" of type GOImage instead
	of "image-data" weirdness.
	(gnm_soi_draw_cairo): Remove non-functional fallback.
	(gnm_soi_default_size): Ditto.

2015-02-27  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-image.c (gnm_soi_get_property): Use a boxed
	type for image data.  Create image data if needed.
	(SheetObjectImage): Use a properly allocated GByteArray.

	* src/sheet-object-widget.c
	(sheet_widget_adjustment_user_config_impl): Widgets must have
	changed names at some point.  Adjust for that.

2015-02-25  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c (sheet_widget_list_base_set_sheet):
	Also evaluate here.
	(SOW_MAKE_TYPE): Don't evaluate unless we have a sheet for the
	contents.

2015-02-23  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c (sheet_widget_radio_button_get_value):
	New function.

2015-02-21  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_so_set_adjustment_adj): horizontal is a
	gboolean, not a double.

	* src/sheet-object-widget.c
	(sheet_widget_adjustment_write_xml_sax): Save with sufficient, not
	fixed, precision.
	(sheet_widget_adjustment_set_horizontal): Take advantage of this
	new-fangled orientation for scrollbars.

2015-02-20  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c: Make checkbox' "active" writable.
	(cb_button_released): Set value to FALSE here(!)

2015-02-18  Morten Welinder  <terra@gnome.org>

	* src/commands.c (cmd_search_replace_do_cell): Don't report and
	error just because a cell with text format fails to produce an
	expression.  That's expected for text format.

2015-02-17  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-image.c (gnm_soi_get_property): Plug leak.

2015-02-11  Morten Welinder  <terra@gnome.org>

	* src/gnm-so-filled.c (gnm_so_filled_write_xml_sax): Don't bother
	writing duplicate style so version 1.2 and earlier can read it.

2015-02-11  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (cb_assign_val): use go_nan instead of infinite for strings
	that can't be convered to valid numbers.

2015-02-10  Morten Welinder  <terra@gnome.org>

	* src/gnm-so-line.c (gnm_so_line_draw_cairo): Simplify.

2015-02-06  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c (sheet_widget_adjustment_set_link)
	(sheet_widget_button_set_link, sheet_widget_checkbox_set_link)
	(sheet_widget_radio_button_set_link)
	(sheet_widget_list_base_set_links)
	(sheet_widget_adjustment_set_details): Only link if we have a
	sheet.

2015-02-04  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-02-04  Morten Welinder <terra@gnome.org>

	* Release 1.12.20

2015-01-30  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c
	(sheet_widget_adjustment_set_horizontal): Make this public.

2015-01-23  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2015-01-23  Morten Welinder <terra@gnome.org>

	* Release 1.12.19

2015-01-20  Morten Welinder  <terra@gnome.org>

	* src/gui-util.h (gnumeric_filter_modifiers): Drop reserved bits.
	See bug #743130.

2015-01-19  Morten Welinder  <terra@gnome.org>

	* src/gutils.c (gnm_icon_dir): Remove.

	* src/wbc-gtk.c (cb_sheet_label_drag_begin): Load arrow from glib
	resources.

	* src/sheet-object-image.c (gnm_soi_new_view): Load unknown-image
	from glib resources.

	* src/gui-util.c (gnumeric_load_image, gnumeric_load_pixbuf):
	Delete.

	* src/gnm.gresource.xml: pre-process xpm files.  gdkpixbuf will
	otherwise dump them in temporary files in order to load them.

	* src/workbook.c (workbook_update_graphs): New function.

	* src/workbook-view.c (workbook_view_new_from_input): Update
	graphs.

2015-01-14  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_cell_content): When we fail to parse
	an expresssion, make it a string instead of dropping it on the
	floor.

2015-01-13  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_cell_content): When we discover a
	missing shared expression, define a dummy version so we don't get
	repeated errors.

2015-01-09  Morten Welinder  <terra@gnome.org>

	* src/value.c (value_compare_real): Rewrite.  Handle errors and
	sort them later than other values.  This fixes #742601.

2015-01-01  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnumeric_message_dialog_create): Use icon theme
	names, not stock ids.

	* src/gnm-pane.c (update_control_point_colors): Avoid
	gtk_style_context_get_background_color.
	* src/item-cursor.c (ic_reload_style): Ditto.

2014-12-30  Morten Welinder  <terra@gnome.org>

	* src/rendered-value.c (gnm_rendered_value_new):
	GNM_HALIGN_DISTRIBUTED is justify+center.  Fixes #726155.

2014-12-27  Morten Welinder  <terra@gnome.org>

	* src/colrow.c (colrow_set_visibility): Don't create columns/rows
	unless we really have to.

2014-12-25  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-graph.c (sog_cb_open_in_new_window): Fix
	multihead issue.

	* src/gnm-graph-window.c: Avoid GTK_STOCK_xxx completely.

	* src/wbc-gtk-actions.c (SheetDirection): use proper icon.

	* src/wbc-gtk.c (cb_sheet_direction_change): New function to fix
	icon on sheet direction changes.

	* src/wbc-gtk-actions.c: Eliminate many uses of GTK_STOCK_...

2014-12-24  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_show_save_dialog)
	(wbcg_close_if_user_permits): Constant propagation.

	* src/gui-util.c (gnumeric_message_dialog_create): Slightly less
	GtkStock usage.  (Maybe kill whole function?  Only two users.)

2014-12-22  Morten Welinder  <terra@gnome.org>

	* icons/fake-index-theme: we need actions directories too.

2014-12-21  Morten Welinder  <terra@gnome.org>

	* src/item-bar.c (ib_reload_sizing_style): Add fallback for font
	handling.

2014-12-20  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_insdel_colrow): Fix handling of too-big
	count in delete, such as used from sheet resize.

2014-12-19  Morten Welinder  <terra@gnome.org>

	* src/libgnumeric.c (gnm_pre_parse_init): Use putenv for win32
	(before g_setenv is available).

2014-12-16  Morten Welinder  <terra@gnome.org>

	* src/sstest.c (test_insdel_rowcol_names): Use column name, not
	number.

	* src/sheet.c (sheet_insdel_colrow): Fix "sticky-end" setting for
	the delete case.

2014-12-15  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (sheet_style_insdel_colrow): Rename from
	sheet_style_insert_colrow and handled deletion too.

	* src/sheet.c (sheet_insdel_colrow): Merge from sheet_insert_rows,
	sheet_insert_cols, sheet_delete_rows, sheet_delete_cols.  Simplify
	and clean up.

	* src/dependent.c (dependent_has_pos, dependent_move): New
	functions.

2014-12-14  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_colrow_add): Make sure the slot we use is
	free.

2014-12-11  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (style_dep_debug_name): Include position too.

	* src/sheet.c (sheet_colrow_add): Merge from sheet_col_add and
	sheet_row_add.
	(colrow_move): Change parameterization slightly.

2014-12-06  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (scg_unant): Destroy item cursors.  We
	want them visually gone and g_object_unref does not guarantee
	that.

	* src/sheet.c (sheet_insert_rows, sheet_insert_cols): Clear style
	dependents.  A later step clears and re-applies style completely
	for the moved area.  Fixes #741197.

	* src/sheet-style.c (sheet_style_clear_style_dependents): New
	function.

	* src/sheet.c (sheet_insert_rows, sheet_insert_cols)
	(sheet_delete_cols, sheet_delete_rows): Plug leaks.

	* src/command-context.c (gnm_cmd_context_error_splits_array): Plug
	leak.
	(gnm_cmd_context_error_splits_merge): Plug leak.

2014-11-15  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (scg_object_unselect): Avoid crashing if
	the wbc is already gone.

2014-11-09  Morten Welinder  <terra@gnome.org>

	* src/gui-clipboard.c (text_to_cell_region): Guard against NULL
	data.  Might fix Redhat #1160975.

2014-10-28  Morten Welinder  <terra@gnome.org>

	* src/style.c (find_font): Accept NULL font name.

2014-10-27  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_destroy_contents): Plug leak from fuzzed
	code.

2014-10-27  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-cursor.c (cb_item_cursor_animation): use
	goc_canvas_invalidate_region() for ants walking.  Avoid drawing
	outside of a draw event.

2014-10-26  Morten Welinder  <terra@gnome.org>

	* src/value.h (VALUE_IS_CELLRANGE, VALUE_IS_ARRAY): New macros.
	Use throughout.
	(GnmValue): Drop type union member.  C99 requires that this be
	accessed in a structure.  We have v_any for that.

2014-10-25  Morten Welinder  <terra@gnome.org>

	* src/expr-impl.h (GNM_EXPR_GET_OPER): Redefine in a way that
	ought to survive both gcc's aliasing analysis and valgrind's
	bitfield problems.

2014-10-24  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (xml_write_selection_info): Plug leak.

2014-10-21  Morten Welinder  <terra@gnome.org>

	* src/mstyle.c (gnm_style_dump_color): Also dump auto flag.

2014-09-25  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-09-25  Morten Welinder <terra@gnome.org>

	* Release 1.12.18

2014-09-25  Morten Welinder  <terra@gnome.org>

	* src/sheet-filter.c (gnm_filter_condition_new_single)
	(gnm_filter_condition_new_double): Fix preconditions.  See
	#735249.

2014-09-23  Morten Welinder  <terra@gnome.org>

	* src/libgnumeric.c (gnm_pre_parse_init): Mess with gobject so it
	doesn't spew deprecation warnings by default.

2014-09-11  Morten Welinder  <terra@gnome.org>

	* src/style.c (gnm_translate_underline_from_pango): Survive
	PANGO_UNDERLINE_ERROR.

2014-06-09  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-06-09  Morten Welinder <terra@gnome.org>

	* Release 1.12.17

2014-05-28  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (resize_pane_pos): Improve the situation
	when we drag the handle into the col/row canvas.

	* src/sheet-view.c (sv_freeze_panes): Add debug code.

	* src/sheet-control-gui.c (scg_finalize): Get rid of the drag
	handler.  Fixes #730884.

2014-05-27  Morten Welinder  <terra@gnome.org>

	* src/gnm-pane.c (gnm_pane_header_init): Hold references to
	col/row canvas.  Fixes #730857.
	(gnm_pane_dispose): Release references.

2014-05-23  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-05-23  Morten Welinder <terra@gnome.org>

	* Release 1.12.16

2014-05-23  Morten Welinder  <terra@gnome.org>

	* src/clipboard.c (clipboard_copy_ranges_undo): New function.  We
	need better building blocks for commands; this is one such.

2014-05-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_hyperlink_undo): use posiitons rather than cells
	(cmd_hyperlink_redo): ditto
	(cmd_hyperlink_finalize): ditto
	(cb_cmd_hyperlink_find_cells): ditto

2014-05-20  Morten Welinder  <terra@gnome.org>

	* src/gutils.c (gnm_hash_table_foreach_ordered): New function.

	* src/gnm-so-filled.c (gnm_so_filled_write_xml_sax): Don't write
	outline and fill colours that are auto, even for the 1.0 format.

	* src/mstyle.c (gnm_style_link_dependents): Speed up certain large
	conditional format ranges.

2014-05-14  Morten Welinder  <terra@gnome.org>

	* src/ssindex.c (ssindex): Use gnm_object_has_readable_prop.

	* src/gutils.c (gnm_object_has_readable_prop): New function.

	* configure.ac (scrollkeeper): Test if we have it.

2014-05-05  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (toolbar_context_menu): Remove
	HAVE_GTK_HANDLE_BOX_FLOAT_WINDOW.  That has been unconditionally
	false for years and is unsupported in gtk+.

2014-04-30  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-04-30  Morten Welinder <terra@gnome.org>

	* Release 1.12.15

2014-04-23  Morten Welinder  <terra@gnome.org>

	* src/complete.c (complete_idle): Avoid abort().

	* src/wbc-gtk.c (cb_update_idle): Clear ->idle when we cancel the
	source.

2014-04-22  Morten Welinder  <terra@gnome.org>

	* src/style-color.c (gnm_color_new_name): Remove.  All calls
	replaced with calls to gnm_color_new_go.

	* src/sheet-style.c (sheet_style_init_size): Plug leak.

	* src/style-color.c (gnm_color_shutdown): Free the auto colours.

2014-04-21  Morten Welinder  <terra@gnome.org>

	* src/gnumeric.css (GnmNotebook): Set padding for top and bottom
	only in the hop of fixing #728465.

2014-04-13  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-04-13  Morten Welinder <terra@gnome.org>

	* Release 1.12.14

2014-04-11  Morten Welinder  <terra@gnome.org>

	* src/item-bar.c: Get colours when we draw; only get sizing
	relevant information at odd times, in particular when parent
	widgets may be insensitive, such as during a load-onto-pristine.
	Fixes #728007.

2014-04-10  Morten Welinder  <terra@gnome.org>

	* src/item-bar.c (ib_reload_style): Add debug code.

2014-04-09  Morten Welinder  <terra@gnome.org>

	* src/number-match.c (format_match_datetime): Plug leak on certain
	failure cases.

2014-04-02  Morten Welinder  <terra@gnome.org>

	* src/sf-gamma.c (pochhammer): Plain floor is good enough for
	integer test.

2014-03-30  Morten Welinder  <terra@gnome.org>

	* src/application.c (gnm_app_remove_extra_ui): Remove from global
	list of extra uis.

2014-03-28  Morten Welinder  <terra@gnome.org>

	* src/main-application.c (main): Move Ubuntu hack earlier.

2014-03-27  Morten Welinder  <terra@gnome.org>

	* src/main-application.c (main): Attempt to banish ubuntu's
	overlay scrollbar which don't work.

2014-03-21  Morten Welinder  <terra@gnome.org>

	* src/style-conditions.c (gnm_style_cond_eval): Make "Contains..."
	case insensitve and allow wildcards.

	* src/gutils.c (gnm_excel_search_impl): New function, extracted
	from fn-string.

	* src/style-conditions.c (generate_end_match): Use case
	insensitive comparison.  Pull negation into the operator.
	(gnm_style_cond_eval): "Start with..." and "Ends with..." are case
	insensitive.

2014-03-18  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (kill_popup_menu): One more try at really killing
	the context menu after we're done with it.

	* src/item-grid.c (item_grid_realize): Plug leak.

2014-03-18  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-03-18  Morten Welinder <terra@gnome.org>

	* Release 1.12.13

2014-03-18  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_screen_changed): Plug leak by unloading css
	providers from screens on exit.

	* src/sheet-style.c (cell_tile_dump): Less debug chatter.

2014-03-17  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (gnm_log2): Remove.  Use libm's log2.

2014-03-16  Morten Welinder  <terra@gnome.org>

	* src/expr.c (gnm_expr_eval): Survive dynamic deps in conditional
	formats.  I'm not positive we do things right, but this avoids
	criticals, at least.

	* src/cell.c (cell_set_expr_internal): Don't change an existing
	value.

2014-03-15  Morten Welinder  <terra@gnome.org>

	* src/style-border.c (gnm_border_shutdown): New function to help
	debug leaks.  Shutdown border_none here.

	* src/style-color.c (gnm_color_shutdown): Not here.

2014-03-15  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-grid.c (item_grid_realize), (cb_cursor_come_to_rest): move
	the tooltip where it will not immediatly be destroyed after creation.
	[really fix #706659]

2014-03-14  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (xml_write_style): Don't write a font name
	if we don't have any.

2014-03-14  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gui-util.c (gnm_canvas_get_position): fix tooltip position. [#725941]

2014-03-13  Morten Welinder  <terra@gnome.org>

	* src/style-conditions.c (gnm_style_cond_eval): New function
	extracted from gnm_style_conditions_eval.  Make "equal" case
	insensitive.  Fixes #726246.

	* src/ssconvert.c (convert): Show resize message only if verbose.

2014-03-12  Morten Welinder  <terra@gnome.org>

	* src/style-conditions.c (gnm_style_cond_get_alternate_expr): New
	function.
	(gnm_style_cond_canonicalize): New function.

	* src/ssconvert.c (convert): only print "Using exporter ..." if
	--verbose is given, and print it to stderr.

2014-03-11  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (cb_set_markup): Don't mess directly with
	cell->value.  We need to trigger a re-render.  Fixes #726086.

	* src/wbc-gtk-edit.c (wbcg_edit_finish): Also supply the markup
	for the pre-validation assignment.

	* src/sheet.c (sheet_cell_set_text): Put markup on the value
	before assigning it to the cell.

2014-03-10  Morten Welinder  <terra@gnome.org>

	* gnumeric.xsd: Update valign/halign attributes.  Update print
	setup.

	* src/sheet-filter.c (gnm_filter_condition_new_single)
	(gnm_filter_condition_new_double): Add preconditions.

2014-03-07  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_adjust_foreground_attributes): Fix warning.

2014-03-05  Morten Welinder  <terra@gnome.org>

	* src/expr.c (gnm_expr_top_is_volatile): New function.

	* src/workbook-view.c (workbook_view_new_from_input): Queue all
	volatile expressions.

	* src/dependent.c (workbook_queue_volatile_recalc): New function.
	(dependent_is_volatile): New function.

	* src/sheet.c (sheet_range_set_expr_cb, sheet_range_set_text):
	Don't set the initial range here.

	* src/expr.c (gnm_expr_top_first_funcall)
	(gnm_expr_contains_subtotal, gnm_expr_top_get_ranges)
	(gnm_expr_top_referenced_sheets): Rewrite in terms of
	gnm_expr_walk.
	(gnm_expr_top_get_boundingbox): Set initial range here.

	* src/expr-name.c (expr_name_check_for_loop, cb_expr_name_in_use):
	Ditto.

2014-03-03  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-03-03  Morten Welinder <terra@gnome.org>

	* Release 1.12.12

2014-03-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk.c (cb_bnotebook_page_reordered): provide undo

2014-03-02  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_workbook_debug_info): New debug flag
	name-collections.
	(wbcg_sheet_order_changed): Mark ui as being updated.
	(cb_bnotebook_page_reordered): Ignore during UI update.

	* src/expr-name.c (gnm_named_expr_collection_dump)
	(gnm_named_expr_collection_sanity_check): New function.

	* src/application.c (gnm_app_sanity_check): New function.

	* src/expr-name.c (gnm_named_expr_collection_new): Don't use the
	string inside the GOString as a hash key.  It can change.
	(gnm_named_expr_collection_foreach): As a consequence of the
	above, the first argument to the handler for
	gnm_named_expr_collection_foreach changes to something
	unspecified.  All callers changed.

	* src/sheet.c (sheet_dup): Don't flip display-outlines for the new
	sheet.

	* src/xml-sax-read.c (xml_sax_named_expr_end): Avoid criticals
	when encountering strangeness.

2014-02-28  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (resize_pane_pos, set_resize_pane_pos):
	If row/column canvas is not visible, ignore them.
	(scg_gtk_paned_set_position): Don't allow negative position.
	Fixes #725375.

	* src/ssdiff.c (diff_sheets_attrs): Detect more sheet attribute
	changes.

2014-02-27  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-grid.c (item_grid_draw_region): fix background filling for
	rtl sheets. [#725276]

2014-02-25  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (kill_popup_menu): Avoid criticals inside gtk+.
	(gnumeric_create_popup_menu): Drop return value from handler.

	* src/xml-sax-write.c (xml_write_objects): Sort sheet objects that
	are cell comments by position.

2014-02-24  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (xml_write_geometry): Don't output a 0x0 size.

	* src/colrow.c (colrow_equal): Don't use floating-point equality
	here.  Allow a difference of 1e-5 pt for size.

2014-02-23  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (gnm_sheet_resize_main): When expanding a sheet,
	fill in the new areas with most common styles for the rows to the
	left of the new columns or the columns above the new area.

2014-02-19  Morten Welinder  <terra@gnome.org>

	* plugins/fn-math/functions.c (gnumeric_log2): Use gnm_log2.
	(gnumeric_log): Use gnm_log2 and gnm_log10 as appropriate.

	* src/mathfunc.c (gnm_log2): New function.

2014-02-18  Morten Welinder  <terra@gnome.org>

	* src/ssdiff.c (xml_style_changed): Report differences for
	auto-color settings.

2014-02-17  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (convert): Add --resize option.

2014-02-16  Jean Brefort  <jean.brefort@normalesup.org>

	* src/item-grid.c (item_grid_realize): fix persistence of
	hyperlink tips.	[see #724108]

2014-02-16  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-02-16  Morten Welinder <terra@gnome.org>

	* Release 1.12.11

2014-02-16  Morten Welinder  <terra@gnome.org>

	* src/func.c (function_dump_defs): Update boilerplate.

2014-02-11  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2014-02-11  Morten Welinder <terra@gnome.org>

	* Release 1.12.10

2014-02-07  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-edit.c (wbcg_edit_finish): Disallow array formula
	entry on top of merged cells.  Fixes #723600.

2014-02-06  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-component.c (destroy_cb), (gnm_soc_user_config):
	a better fix to previous issue.

2014-01-30  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_add_menus_toolbars): Tentatively request small
	toolbar icons.

	* src/item-cursor.c (item_cursor_draw): Make the ant animation
	smoother (when not using the fallback).  Avoid using hard light
	for ant-ing -- that doesn't work for the same reason as alpha not
	working.  Always use phase=0 for non-ant stipples.
	(GnmItemCursor): Use the canvas item's visibility flag instead of
	rolling our own.

2014-01-29  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbc_gtk_init): Add style classes for toolbar zones.

	* src/item-cursor.c (cb_item_cursor_animation): Do a run-time
	check for bad clipping somewhere in gtk+ or theme land.

2014-01-28  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-component.c (gnm_soc_user_config): release the new
	component reference to the workbook.

2014-01-27  Morten Welinder  <terra@gnome.org>

	* src/func.c (function_dump_defs): Undo wiki change.

2014-01-21  Morten Welinder  <terra@gnome.org>

	* src/item-cursor.c (cb_item_cursor_animation): Drastically lower
	the amount of work we do for ant-ing.  Fixes #381011, patch from
	Jean.
	(ic_reload_style): Ignore alpha component of ant colours.

2014-01-17  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_vector_load_len),
	(gnm_go_data_vector_load_values): accept 3D values for vector data.
	[#722294]

2014-01-16  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_adjust_foreground_attributes): Renamed from
	cb_darken_foreground_attributes and change to take non-white
	background into account.

2014-01-12  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (expmx2h): Split out from dnorm.
	(dhyper): Round the chosen "p" to float to improve accuracy of
	"q".

2014-01-11  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (pow1p): Improve accuracy.
	(R_D_nonint): Fix rounding problem.
	(ebd0): New extended version of bd0.
	(dpois_raw, dbinom_raw): Use ebd0.
	(dbinom_raw): Handle x==n and x==0 much better.

2014-01-08  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk-actions.c (cb_file_sendto): Simplify using
	g_mkdtemp_full.

	* src/mathfunc.c (dpois_raw): Detect underflow in direct formula.

	* src/gui-file.h: Namespace improvements.  Also make gui_file_read
	return the WorkbookView instead of a boolean.

2014-01-01  Morten Welinder  <terra@gnome.org>

	* src/sf-dpq.c (dlnorm): Go crazy with accuracy.

2013-12-31  Morten Welinder  <terra@gnome.org>

	* src/sf-dpq.c (pfuncinverter, discpfuncinverter): Extract from
	mathfunc.c

2013-12-30  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (dnorm): Improve accuracy for x>5 (normalized).
	(bd0): Reimplement.
	(dpois_raw): Avoid going through logs, if possible.

2013-12-25  Morten Welinder  <terra@gnome.org>

	* src/item-grid.c (cb_cursor_come_to_rest): Clear ->tip_timer when
	we return FALSE so we don't try to remove the source later.

2013-12-22  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnm_widget_measure_string): New function
	allowing the elimination of all gtk_style_context_get_font calls.

2013-12-19  Morten Welinder  <terra@gnome.org>

	* src/sf-gamma.c (qfactf): Squeeze a few extra bits out of this,
	especially when |x|<<1.  Ditto for x<-1.

2013-12-17  Morten Welinder  <terra@gnome.org>

	* src/sf-gamma.c (complex_gamma): Turn a complex division into a
	multiplication.

2013-12-14  Morten Welinder  <terra@gnome.org>

	* src/sf-gamma.c (complex_igamma): New function.

2013-12-12  Mario Rugiero  <mrugiero@gmail.com>

	* */*.c: Fix some leaks and null dereferences pointed out by
	cppcheck.

2013-12-12  Morten Welinder  <terra@gnome.org>

	* src/parser.y (array_row): Avoid overrunning string when multiple
	missing closing parentheses are detected.  Fixes #720353.

2013-12-11  Morten Welinder  <terra@gnome.org>

	* src/gui-util.c (gnumeric_popup_menu): Use the screen from
	gdk_event_get_screen, not from ->screen.  This might fix #720182.

	* src/*.c: Use accessor function for GdkEvent when convenient.

2013-12-07  Morten Welinder  <terra@gnome.org>

	* src/application.c (gnm_app_init): Don't allocate a
	GtkRecentManager if we are not in gui mode.

	* src/position.c (gnm_cellref_hash): Avoid undefined signed integer
	behaviour.
	* src/dependent.c (deprange_hash): Ditto.

2013-12-04  Morten Welinder  <terra@gnome.org>

	* src/sf-gamma.c (gamma_error_factor): Add extra term.

2013-12-07  Morten Welinder  <terra@gnome.org>

	* src/sf-gamma.c (qgammaf): Avoid losing the least significant bit
	of the argument for [-1.5;-0.5].

	* src/complex.c (complex_fact): Avoid infinite recursion for 0 <
	Re z < 1/2.  Avoid some overflow.

2013-12-02  Morten Welinder  <terra@gnome.org>

	* src/sf-bessel.c (bessel_y): Use the J series when possible.

2013-12-07  Morten Welinder  <terra@gnome.org>

	* src/sf-bessel.c (bessel_j): Use the taylor series in the
	parameter range where that makes sense.

	* src/sf-gamma.c (gnm_lbeta3): Improve accuracy.
	(gnm_beta): Ditto.

2013-11-30  Morten Welinder  <terra@gnome.org>

	* src/sf-gamma.c (pochhammer): Drop give_log arguments.  Extend to
	negative values.

2013-11-28  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-11-28  Morten Welinder <terra@gnome.org>

	* Release 1.12.9

2013-11-25  Morten Welinder  <terra@gnome.org>

	* src/sf-gamma.c: Move lgamma_r and lgamma fallbacks to here from
	mathfunc.c

2013-11-19  Morten Welinder  <terra@gnome.org>

	* src/print.c (print_page): Fix check for missing object.  Fixes
	#712662.

2013-11-18  Morten Welinder  <terra@gnome.org>

	* src/sf-trig.c: Split out trigonometric functions from mathfunc.c

2013-11-15  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (reduce_pi_half): New function.

2013-11-14  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (gnm_sinpi, gnm_cospi): New functions.
	(bessel_i, etc, qfactf, lgamma_r): Use gnm_sinpi and gnm_cospi.

2013-11-13  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (lgamma_r): Fix fallback.  Didn't work for x<10.

2013-11-13  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object.c (sheet_object_view_button2_pressed),
	(sheet_object_view_class_init): implement double click for graph sheets.
	[#712216]

2013-11-12  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_sheet_label_button_press): Don't stop signal
	emission.
	(cb_bnotebook_page_reordered): New function.
	(wbc_gtk_create_notebook_area): Attach a handler for reordering.

	* src/mathfunc.c (gnm_cot): Work around gcc/glibc bug.

2013-11-06  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (gnm_acoth): Improve accuracy for |x| near 1.

2013-11-06  Jean Brefort  <jean.brefort@normalesup.org>

	* src/workbook-view.c: add more introspection related comments.
	* src/workbook.c: ditto.

2013-11-03  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (bessel_i, etc.): Do argument reduction for
	sin/cos before scaling by pi.

2013-11-01  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (dpois_raw): Handler x=0 as in newer R.
	(gnm_gamma): Protect against unnecessary overflow at top of range.

2013-10-31  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (qgamma): Flip tail for high values of p.  This
	avoids accuracy problems since any cdf is completely flat in terms
	of floating point values when going sufficiently far into the
	tail.
	(qtukey): Ditto.
	(qbeta): Ditto.
	(J_bessel): Extend xlrg_BESS_IJ to match current R.
	(permut): Route this into pochhammer.
	(qfact): New function.  Tabulate 0! through 50000! using quad
	precision arithmetic.
	(combin, fact, pochhammer): Improve accuracy using qfact.

2013-10-22  Morten Welinder  <terra@gnome.org>

	* src/func.c (function_call_with_exprs): Move flags argument into
	structure.

2013-10-19  Morten Welinder  <terra@gnome.org>

	* src/hlink.c (_gnm_hlink_init): New function.
	* src/libgnumeric.c (gnm_init): Use _gnm_hlink_init.

2013-10-07  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-10-07  Morten Welinder <terra@gnome.org>

	* Release 1.12.8

2013-10-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/cmd-edit.c (cmd_paste): chceck for locked cells

2013-10-03  Morten Welinder  <terra@gnome.org>

	* src/item-cursor.c (item_cursor_draw): Drop expose area
	optimization that may not be correct with current gtk.  See bug
	#709320.

2013-09-29  Morten Welinder  <terra@gnome.org>

	* src/main-application.c: Include <io.h> for win32.

	* src/wbc-gtk-actions.c: Include gutils.h for win32.

2013-09-25  Morten Welinder  <terra@gnome.org>

	* src/gnumeric.css: Use lighter green for function marker.

2013-09-01  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-09-01  Morten Welinder <terra@gnome.org>

	* Release 1.12.7

2013-08-29  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (scg_find_pane): Check for NULL pane.
	Fixes #707047.

2013-08-28  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (gnm_gamma): Improve precision for large
	arguments.
	(gnm_yn): Not needed anymore.
	(bessel_i): Don't mark error strings for translation.

2013-08-27  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-08-27  Morten Welinder <terra@gnome.org>

	* Release 1.12.6

2013-08-26  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (cell_tile_dump): New function for debugging.
	(internal_style_list): Add fast pre-optimization to bring down the
	number of entries before we start messing with hashes.  Fixes
	#699045.

2013-08-22  Jean Brefort  <jean.brefort@normalesup.org>

	* src/wbc-gtk.c (wbcg_data_allocator_editor): initialize
	GraphDimEditor::changed. See bug 706591 comment #2.

2013-08-19  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-08-19  Morten Welinder <terra@gnome.org>

	* Release 1.12.5

2013-08-15  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (dep_hash_destroy): Relink the changed dep.
	Fixes #706095.

	* src/sheet.c (sheet_destroy_contents): Also get rid of solver
	parameters.  See bug 705913, comment 6.

2013-08-13  Morten Welinder  <terra@gnome.org>

	* src/gnm-style-impl.h (_GnmStyle): Switch ->deps to a GPtrArray.

2013-08-12  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c (sow_create_widget): New function.
	Add sheet-object class to widgets.

2013-08-12  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (sheet_widget_frame_draw_cairo): set
	initial colour
	(sheet_widget_button_draw_cairo): also scale line thickness
	(sheet_widget_checkbox_draw_cairo): scale button size
	(sheet_widget_radio_button_draw_cairo): scale button size

2013-08-10  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (draw_cairo_text): add 'scale'
	argument and change all callers

2013-08-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (get_font): add fall-backs

2013-08-09  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (sheet_widget_button_draw_cairo): Use
	draw_cairo_text.
	(draw_cairo_text): add h-vcenter argument and change all callers

2013-08-09  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-widget.c (cb_range_destroyed),
	(sheet_widget_scrollbar_create_widget),
	(sheet_widget_spinbutton_create_widget),
	(sheet_widget_slider_create_widget): avoid crashing after destroying a
	SheetWidgetAdjustment associated widget. [see Gtk+ bug #705692]

2013-08-09  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-widget.c (sheet_widget_button_draw_cairo): Use
	get_font.
	(get_font): New function extracted from draw_cairo_text.

2013-08-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (draw_cairo_text): use GtkStyleContext
	if possible

2013-08-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (draw_cairo_text): add arguments to
	allow multi-paragraph with a highlighted line. Change all callers
	(sheet_widget_list_draw_cairo): use draw_cairo_text

2013-08-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (sheet_widget_frame_draw_cairo): use
	cairo version for Gnuemric too.
	(sheet_widget_button_draw_cairo): ditto
	(sheet_widget_scrollbar_draw_cairo): ditto
	(sheet_widget_spinbutton_draw_cairo): ditto
	(sheet_widget_slider_draw_cairo): ditto
	(sheet_widget_checkbox_draw_cairo): ditto
	(sheet_widget_radio_button_draw_cairo): ditto
	(sheet_widget_list_draw_cairo): ditto
	(sheet_widget_combo_draw_cairo): ditto

2013-08-08  Morten Welinder  <terra@gnome.org>

	* src/parse-util.c (r1c1_get_index): Handle integer overflow.
	Reduce crazy relative offsets.

2013-08-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (draw_cairo_text): add arguments and
	change all callers
	(sheet_widget_frame_draw_cairo): new
	(sheet_widget_button_draw_cairo): new
	(sheet_widget_scrollbar_horizontal_draw_cairo): new
	(sheet_widget_scrollbar_vertical_draw_cairo): new
	(sheet_widget_scrollbar_class_init): connect the above
	(sheet_widget_spinbutton_draw_cairo): new
	(sheet_widget_spinbutton_class_init): connect the above
	(sheet_widget_slider_horizontal_draw_cairo): new
	(sheet_widget_slider_vertical_draw_cairo): new
	(sheet_widget_slider_draw_cairo): new
	(sheet_widget_slider_class_init): connect the above
	(sheet_widget_list_draw_cairo): new
	(sheet_widget_list_class_init): connect the above
	(sheet_widget_combo_draw_cairo): new
	(sheet_widget_combo_class_init): connect the above

2013-08-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (SOW_MAKE_TYPE): add fn_draw_cairo,
	change all uses of this macro
	(draw_cairo_text): new
	(sheet_widget_checkbox_draw_cairo): new
	(sheet_widget_radio_button_draw_cairo): new

2013-08-07  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-widget.c (sheet_widget_draw_cairo): avoid using
	gtk_offscreen_window_new without a default screen (see bugs #705638
	and #705640)

2013-08-07  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (main): Initialize gtk+ without opening any
	display.

2013-08-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (scg_show_im_tooltip): handle rtl sheets

2013-08-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui-priv.h (_SheetControlGUI): add fields
	* src/sheet-control-gui.c (scg_init): init new fields
	(scg_im_destroy): new
	(scg_finalize): call scg_im_destroy
	(cb_cell_im_timer): new
	(scg_find_pane): new
	(scg_show_im_tooltip): new
	(scg_class_init): init new field
	* src/sheet-control-priv.h: add field
	* src/sheet-control.c: add virtual
	* src/sheet-control.h: add virtual
	* src/sheet-view.c (sheet_view_edit_pos_tool_tips): new
	(sv_update): call sheet_view_edit_pos_tool_tips
	* src/sheet.c (sheet_col_get_distance_pixels): the defaults need to be
	in pixels
	(sheet_row_get_distance_pixels): new
	* src/sheet.h (sheet_row_get_distance_pixels): new

2013-08-03  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-graph.c (gnm_sogg_prep_sax_parser): accept <graph:Type>
	nodes in guppi graphs. [Debian #718594]

2013-08-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/workbook-view.c (wb_view_preferred_size): interpret 0 as
	'default'

2013-08-02  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (context_menu_handler): add argument to
	dialog_cell_format call
	* src/wbc-gtk-actions.c (cb_format_cells): add argument to
	dialog_cell_format call
	(cb_data_validate): ditto

2013-07-30  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_style_border): Make sure we have a
	colour.  Fixes rest of #705031.

2013-07-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/func.c (gnm_func_lookup_prefix): do not include placeholders

2013-07-25  Andreas J. Guelzow <aguelzow@pyrshep.ca>
	for Dmitry Smirnov
	* gnumeric.desktop.in: add ODS files

2013-07-23  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_vector_load_values): really load all
	values for multiple ranges.

2013-07-19  Morten Welinder  <terra@gnome.org>

	* src/style-conditions.c (gnm_style_cond_is_valid): Even stricter
	check: the enum has a hole in the middle.  Fixes #704562.

2013-07-19  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-so-filled.c (gnm_so_filled_draw_cairo): fix text wrap when
	printing.
	* src/gnm-so-path.c (gnm_so_path_draw_cairo): ditto.

2013-07-18  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gnm-so-path.c (gnm_so_path_class_init): add new property
	(gnm_so_path_set_property): ditto
	(gnm_so_path_get_property): ditto

2013-07-18  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-so-path.c (so_path_view_set_bounds),
	(cb_gnm_so_path_changed): a better fix for the text position.

2013-07-17  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-so-filled.c (so_filled_view_set_bounds),
	(cb_gnm_so_filled_changed): fix text wrap. [#704417]
	* src/gnm-so-path.c (so_path_view_set_bounds),
	(cb_gnm_so_path_changed): fix text wrap in paths too.

2013-07-16  Morten Welinder  <terra@gnome.org>

	* src/sheet.c (sheet_foreach_cell_in_range): Avoid overflow when
	computing range size.  Fixes #704325.

2013-07-15  Morten Welinder  <terra@gnome.org>

	* src/mstyle.c (gnm_style_cmp): Borders can be NULL; deal with
	that.  Fixes #704004.

	* src/expr.c (gnm_expr_new_range_ctor): Undo previous change.

	* src/dependent.c (link_range_dep, unlink_range_dep): Protect
	against oversize range.

2013-07-12  Morten Welinder  <terra@gnome.org>

	* src/expr.c (gnm_expr_range_op): When constructing a range, make
	sure it falls within the sheet.
	(gnm_expr_new_range_ctor): Don't optimize to range if the two
	parts are on different sheets.  Fixes #704109.

2013-07-10  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-07-10  Morten Welinder <terra@gnome.org>

	* Release 1.12.4

2013-07-10  Morten Welinder  <terra@gnome.org>

	* src/value.c (parse_criteria): Patterns should anchor at the end
	(#703770) and be case insensitive (no bug#).

2013-07-04  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-object-image.c (gnm_soi_assign_to_sheet): do not try
	to create an image of unknown type

2013-07-03  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/graph.c (gnm_go_data_vector_load_len): use consistent
	signage
	(cb_assign_val): quieten warning about signed/unsigned comparison

2013-07-03  Morten Welinder  <terra@gnome.org>

	* src/graph.c (gnm_go_data_vector_load_len): Improve handling of
	crazy-large ranges.
	(cb_assign_val): Ditto.

2013-07-02  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (struct ISL): Use guint64 for areas of ranges.
	(cb_style_list_add_node): Ditto.
	(verify_hashes): Ditto.
	(internal_style_list): Ditto.

	* src/expr-name.c (expr_name_set_is_placeholder): Rearrange the
	deck chairs.

2013-07-01  Morten Welinder  <terra@gnome.org>

	* configure.ac (long double): Crude use -lm for long double
	function checks.  Fixes #703397.

2013-06-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/expr.c (gnm_expr_list_copy): new
	* src/expr.h (gnm_expr_list_copy): new

2013-06-26  Morten Welinder  <terra@gnome.org>

	* src/style-conditions.c (gnm_style_cond_is_valid): Check sanity
	of ->op before using it.  Fixes #703143.

2013-06-26  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-so-path.c (gnm_so_path_new_view): return NULL if there is no path.
	[#703052]
	(gnm_so_path_copy): fixed copy with multiple paths.

2013-06-25  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-06-25  Morten Welinder <terra@gnome.org>

	* Release 1.12.3

2013-06-24  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-read.c (xml_sax_solver_start): Ensure we have a
	sheet.  Fixes #703006.

2013-06-23  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/gui-clipboard.c (x_clipboard_get_cb): take care of the case
	without sheet

2013-06-22  Jean Brefort  <jean.brefort@normalesup.org>

	* src/mstyle.c (gnm_style_set_pattern): don't accept GNM_SHEET_PATTERNS as
	a valid pattern. [#702833]
	* src/pattern.c (gnumeric_background_set): ditto.

2013-06-21  Morten Welinder  <terra@gnome.org>

	* src/item-grid.c (item_grid_draw_region): Plug leak.

	* src/item-bar.c (ib_reload_style): Plug leak.

2013-06-20  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk.c (show_gui): protect against excessively large
	preferred widow sizes

2013-06-14  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-graph.c (dim_start): Don't crash on NULL desc.

	* src/workbook.c (workbook_sheet_delete): Debug.
	(workbook_dispose): Also clear style here.  Styles can have
	dependents now.  Fixes #702218.

2013-06-14  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-view.c (sv_sheet_r1c1_changed): check for NULL selection

2013-06-12  Morten Welinder  <terra@gnome.org>

	* src/sheet-merge.c (gnm_sheet_merge_add): Ensure range is sane.
	Fixes #702101.

2013-06-04  Morten Welinder  <terra@gnome.org>

	* src/ssdiff.c (xml_style_changed): Teach this a bit about links.

2013-06-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (scg_comment_display_filter_cb): new
	(scg_comment_display): adjust background and fontcolor if necessary

2013-06-01  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/item-grid.c (cb_cursor_come_to_rest):
	gnumeric_position_tooltip needs the tooltip size, so load the text
	before calling it.

2013-05-29  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/item-grid.c (item_grid_button_released): do not trigger hyper link
	with button 2

2013-05-27  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (pnorm2): Drop log_p argument.  We don't need it
	and we aren't very good at it.

2013-05-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: add accelerator
	* src/GNOME_Gnumeric-gtk.xml.in: add accelerator
	* src/wbc-gtk-actions.c (cb_edit_goto_cell_indicator): new
	(EditGotoCellIndicator): new
	* src/wbc-gtk.c (cb_post_activate): do not interfere with EditGotoCellIndicator
	(wbcg_focus_current_cell_indicator): new
	* src/wbc-gtk.h (wbcg_focus_current_cell_indicator): new

2013-05-27  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* component/Gnumeric-embed.xml.in: ctrl-a will be handled in gnm-pane.c
	* src/GNOME_Gnumeric-gtk.xml.in: ctrl-a will be handled in gnm-pane.c
	* src/wbc-gtk-actions.c: ctrl-a will be handled in gnm-pane.c
	* src/gnm-pane.c (gnm_pane_key_mode_sheet): recognize and handle ctrl-a

2013-05-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/item-grid.c (item_grid_button_pressed): make buttons 1 and 2
	behave the same as far as cell selection is concerned. This fixes
	bug #700792
	(item_grid_button_released): ditto

2013-05-26  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet.c (sheet_get_extent): add argument to indicate whether
	to include hidden cells
	(cb_sheet_get_extent): handle hidden cells setting
	(sheet_get_printarea): do not include hidden cells
	* src/sheet.h (sheet_get_extent): add argument and change all
	callers

2013-05-26  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (ptukey_wprob): Use as many intervals as needed.
	Termiate when contributions vanish.

2013-05-24  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (R_ptukey): Accelerate handling of right tail of
	the outer integral.
	(pfuncinverter): Handle lack of dfunc (poorly).

2013-05-23  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (ptukey_otsum): Split integration of a single
	interval out from out from R_ptukey.
	(R_ptukey): Split the interval nearest 0 into a sequence of
	intervals over which the integrand looks a lot more like a
	polynomial.  This fixes accuracy problems for low degrees of
	freedom.

	* src/sheet-style.c (internal_style_list): Fix critical.

2013-05-22  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (R_ptukey): Even more C, even less Fortran.

2013-05-21  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (R_ptukey): More C, less Fortran.

2013-05-19  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (ptukey_wprob): Sanitize handling of integration
	boundaries.
	(pnorm2): Get rid of mu and sigma arguments.  Improve accuracy.

2013-05-18  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (pnorm2): New function.
	(R_ptukey): New function imported from R with local improvements.

2013-05-15  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print.c (gnm_create_widget_cb): by default observe
	manual page breaks

2013-05-14  Morten Welinder  <terra@gnome.org>

	* src/rangefunc.c (gnm_range_multinomial): Add range check.
	(gnm_range_geometric_mean): Handle two FIXMEs.

2013-05-13  Morten Welinder  <terra@gnome.org>

	* src/*.c: Mark gobject property strings as P_(...).

2013-05-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_merge_data_redo): unref merge_contents

2013-05-08  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/commands.c (cmd_merge_data_redo): use gnm_cell_set_value
	rather than gnm_cell_assign_value

2013-05-06  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-utils.c (gnm_sheet_guess_data_range): also check
	first column

2013-05-05  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (style_dep_eval): New function.  Re-clear the
	rendered value here.  Fixes #699647.

2013-05-03  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (create_undo_redo): Add Ctrl-Shift-z as alternate
	accelerator for redo.  Fixes #699579.
	(wbc_gtk_create_notebook_area): Mark the button notebook as non
	focusable.

	* src/sheet.c (sheet_range_set_text_cb): Add redraw.

2013-05-01  Morten Welinder  <terra@gnome.org>

	* src/print-info.c: Add gsf includes to make things work with
	libgsf 1.14.24.  Redhat #957851.

2013-04-29  Morten Welinder  <terra@gnome.org>

	* src/xml-sax-write.c (cb_write_cell): Ignore completely empty
	cells.

2013-04-26  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-04-26  Morten Welinder <terra@gnome.org>

	* Release 1.12.2

2013-04-26  Morten Welinder  <terra@gnome.org>

	* src/gnumeric.css (GnmItemBar): Make red labels for selected
	row/column items the default.

2013-04-24  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/wbc-gtk-actions.c: rename some items in the statistics menu

2013-04-24  Morten Welinder  <terra@gnome.org>

	* src/func.c (gnm_func_convert_markup_to_pango): Add a target
	widget parameter.  All callers changed.

	* src/sheet-control-gui.c (scg_init): Ditto comment.timer and
	delayedMovement.timer.

	* src/item-cursor.c (gnm_item_cursor_init): Ditto
	animation_cursor.

	* src/application.c (_gnm_app_flag_windows_changed): Ditto for
	windows_update_timer.

	* src/item-edit.c (GnmItemEdit): change type of blink_timer to
	guint to match glib.  Use 0 as undefined since (guint)-1 is a
	valid tag.

	* src/gnm-pane.c (gnm_pane_init): Ditto sliding_timer (nee
	sliding).

2013-04-23  Morten Welinder  <terra@gnome.org>

	* src/mstyle.c (gnm_style_link_dependents): Fix segfault.

	* src/item-edit.c (gnm_item_edit_init): Set ->blink_timer to avoid
	critical.  Fixes #698680.

	* src/gui-file.c (gui_file_save_as): For export, change extension.
	Fixes #698636.

2013-04-22  Morten Welinder  <terra@gnome.org>

	* src/gui-file.c (gui_file_read): Re-take focus if the read fails.
	Somehow fixes #625687.

2013-04-20  Morten Welinder  <terra@gnome.org>

	* src/go-data-slicer-field.c
	(go_data_slicer_field_set_field_type_pos): Add precondition for
	slicer.

2013-04-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/print-info.c (render_title): new

2013-04-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet.c (sheet_range_set_expr_cb): don't try to empty empty
	cells.
	(sheet_range_set_text): ditto

2013-04-22  Andreas J. Guelzow <aguelzow@pyrshep.ca>

	* src/sheet-control-gui.c (scg_comment_display): use spacing rather
	than padding.

2013-04-22  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (scg_comment_display): Display by-line.

2013-04-19  Morten Welinder  <terra@gnome.org>

	* src/sheet-control-gui.c (scg_comment_display): Abandon the text
	view approach.  Fixes #689283.

	* src/wbc-gtk.c (wbc_gtk_init_borders): Show also in vertical
	mode.
	(wbc_gtk_init_color_fore): Ditto.
	(wbc_gtk_init_color_back): Ditto.

2013-04-17  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbc_gtk_init): Add also a vertical font chooser
	button.

	* src/wbc-gtk-impl.h (_WBCGtk): Rename font_name member to
	font_name_haction.

	* src/wbc-gtk.c (wbc_gtk_init_font_name): Show the font button
	only for horizontal toolbars.

	* src/gui-file.c (file_saver_format_changed_cb): New function to
	change the extension when the format is changed.
	(gui_file_save_as): Don't try to hide the extension -- it
	interferes with the file chooser's completion.  Fixes #695839.

2013-04-16  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbcg_update_action_sensitivity): Turn on context
	menu for graph sheets.  Fixes #685446.
	(sheet_menu_label_run): Disable resize for graph sheets.

	* src/value.c (parse_criteria): Anchor only at start.  Fixes
	#661800.
	(parse_criteria): Handle criteria "=" and "<>" (with no value
	after the operator) special.  These test for empty and non-empty
	values.  Fixes #686156.

	* src/gutils.c (gnm_regcomp_XL): Split argument "full" into
	"anchor_start" and "anchor_end".  All callers changed.

2013-04-15  Morten Welinder  <terra@gnome.org>

	* src/application.c (add_icon): Plug leak.

	* src/number-match.c (format_match_decimal_number): Try also major
	non-locale currencies.  Fixes #577768.

2013-04-13  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (pochhammer): Improve precision a bit.
	(binomialcf): Lower cfSmall by 10^3.  This helps
	pbeta(0.9,10,0.5).

	* configure.ac (GETTEXT_PACKAGE): Add version number so that
	doesn't prevent multiple versions from co-existing.

	* src/sheet.c (sheet_range_calc_spans): Don't mark the sheet
	dirty.  Callers already appear to handle this when needed
	and not when not wanted.  Fixes #697927.

2013-04-12  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (gnm_owent): Fix a==1 special case.  Part of
	#697850.
	(pnbinom): Allow prob==1 (already fixed in R) and n==0 (now
	reported to R).
	(fact): Use table for n<=1; rewrite using pochhammer otherwise.

2013-04-11  Morten Welinder  <terra@gnome.org>

	* src/parse-util.c (rangeref_parse): Parse Sheet!#REF and return a
	reference with invalid_sheet.  Fixes #683494.

	* src/complex.c (complex_to_string): Drop format arguments.  All
	callers changed.  Make up a format with enough precision for round
	tripping.  Fixes #697634.

2013-04-09  Morten Welinder  <terra@gnome.org>

	* src/complex.c (complex_from_string): Make this handle embedded
	spaces systematically.
	(is_unit_imaginary): Delete.

2013-04-09  Morten Welinder  <terra@gnome.org>

	* src/complex.c (complex_pow): Use Goffice's copy.

2013-04-05  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_screen_changed): Re-use the css provider for
	new screens.  Add hack for pre-GTK 3.4.

	* src/mathfunc.c (gnm_owent): New function.

2013-04-04  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_vector_load_len): correctly evaluate array
	functions used as vectors. [697281]

2013-04-04  Jean Brefort  <jean.brefort@normalesup.org>

	* src/graph.c (gnm_go_data_vector_load_values),
	(gnm_go_data_vector_get_str): fix values and strings loading in case of
	arrays. [697107]

2013-04-03  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_sheet_tab_change): Use g_object_set to set
	attributes of the tab.

	* src/sheet-control-gui.c (sheet_control_gui_new): Create a
	GnmNotebookButton, not an EditableLabel.

2013-04-02  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (cb_wbcg_drag_motion): Fix test for notebook tab
	widget.
	(cb_wbcg_drag_leave): Ditto.

2013-03-27  Morten Welinder  <terra@gnome.org>

	* src/gnumeric-conf.c (gnm_conf_get_detachable_toolbars): Fix the
	key we look up.  When did that change?

2013-03-27  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-object-widget.c (sheet_widget_list_create_widget):
	remove the frame.

2013-03-26  Morten Welinder  <terra@gnome.org>

	* src/item-edit.c: Theme the in-cell edit background color.

	* src/gnumeric-fwd.h: Merge most of gnumeric.h and gui-gnumeric.h
	into here.
	src/gui-gnumeric.h: Remove.

	* src/pattern.c (gnumeric_background_set): Insist that ctxt is
	non-NULL if there is a selection.
	(gnumeric_background_set_gtk): Delete.  Make callers use
	gnumeric_background_set.

	* src/preview-grid.c (preview_grid_draw_background): Always
	provide a context to gnumeric_background_set.
	* src/item-edit.c (item_edit_draw): Ditto.

	* src/item-cursor.c (ic_reload_style): Use class, not state, to
	separate the different cursor types.  Separate autofill colouring
	from drag ditto.

2013-03-25  Morten Welinder  <terra@gnome.org>

	* src/item-cursor.c (gnm_item_cursor_class_init): Change type of
	color to GOColor.
	(ic_reload_style): Theme some of the cursor colors.

	* src/gnm-pane.c (gnm_pane_expr_cursor_bound_set): Take GOColor,
	not colour name.

	* src/item-bar.c: Rename: ItemBar to GnmItemBar.

	* src/gnumeric.css: use deprecated px-free syntax for padding, so
	gtk+ 3.2 can deal with it.

	* src/wbc-gtk.c (cb_screen_changed): Install error handler so we
	can suppress deprecations.

	* src/sheet-control-gui.c (cb_select_all_btn_draw): Fix drawing of
	the "all" button.

	* src/item-bar.c (ib_reload_style): Load fonts from style.

2013-03-24  Morten Welinder  <terra@gnome.org>

	* src/item-grid.c (item_grid_draw_region): Draw the background at
	the right coordinates!

2013-03-23  Morten Welinder  <terra@gnome.org>

	* src/item-bar.c (ib_draw_cell): There's no point in going to and
	from GOColor here.  Just use the color as-is.

2013-03-19  Morten Welinder  <terra@gnome.org>

	* src/application.c (install_icons): Install also the icon themed
	icons.  No idea why we have both.

	* src/wbc-gtk.c (wbc_gtk_setup_icons, add_icon): Remove.

	* src/Makefile.am (SUBDIRS): No longer enter pixmaps.
	(embedded_imgs): Add the rest from pixmaps.

	* configure.ac: No longer create src/pixmaps/Makefile

	* src/gui-util.c (gnumeric_load_image, gnumeric_load_pixbuf): Make
	these work for resources and absolute paths.

2013-03-19  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-control-gui.c (cb_collect_objects_to_commit): fixed
	not sizeable objects bounds after dragging when zoom is not 100%.

2013-03-18  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (gnm_font_action_create_tool_item): Disable the
	filter.  It takes just long enough to be irritating.

2013-03-17  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (gnm_font_action_create_tool_item): Don't show the
	style since we're not picking it explicitly.
	(cb_font_filter): Fix leak.

2013-03-14  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (gnm_font_action_create_tool_item): Add filter to
	ignore non-scalable fonts.

2013-03-11  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (wbc_gtk_init_font_name): New implementation.

2013-03-10  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (list_them): Skip savers/openers that require
	interaction.  (We don't have any yet.)

	* src/stf.c (stf_read_workbook): Set error when we fail due to
	lack of GUI.
	(stf_init): Mark the configurable saver/opener as interactive.

	* src/ssconvert.c (convert): Fix error handling.  Fixes #695529.

2013-03-09  Morten Welinder <terra@gnome.org>

	* configure.ac: Post-release bump.

2013-03-09  Morten Welinder <terra@gnome.org>

	* Release 1.12.1

2013-03-06  Morten Welinder  <terra@gnome.org>

	* src/wbc-gtk.c (list_actions): Handle a null group.

2013-03-03  Morten Welinder  <terra@gnome.org>

	* src/libgnumeric.c (gnm_pre_parse_init): Don't call deprecated
	g_thread_init if compiled with later than glib 2.32.0.

2013-03-02  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gnm-pane-impl.h: remove alignments.
	* src/gnm-pane.c (gnm_pane_header_init): dittO;
	* src/gnm-plugin.c (plugin_service_ui_read_xml): fixed a C++ type comment.
	* src/item-bar.c (item_bar_calc_size): force recalc when indent changed.
	* src/sheet-control-gui-priv.h: remove all tables by one grid.
	* src/sheet-control-gui.c (cb_table_destroy), (scg_set_panes),
	(set_resize_pane_pos), (idle_resize), (cb_canvas_resize),
	(sheet_control_gui_new), (scg_finalize), (scg_adjust_preferences),
	(scg_mode_edit): ditto.
	* src/wbc-gtk.c (cb_show_sheet), (cb_sheet_label_button_press),
	(cb_sheet_visibility_change), (wbcg_sheet_add),
	(wbcg_sheet_remove), (wbcg_sheet_focus),
	(wbcg_sheet_order_changed), (wbcg_sheet_remove_all),
	(wbcg_get_nth_scg): ditto.

2013-03-01  Jean Brefort  <jean.brefort@normalesup.org>

	* src/gui-file.c (gui_file_open): GtkTable to GtkGrid.
	* src/print.c (gnm_create_widget_cb): ditto.
	* src/sheet-object-graph.c (sheet_object_graph_guru): ditto.

2013-03-01  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.h: Make sure the "q" functions take "p" as their
	first argument, not "x".

2013-03-01  Jean Brefort  <jean.brefort@normalesup.org>

	reviewed by: <delete if not using a buddy>

	* INSTALL:
	* src/sheet-object-widget.c (sheet_widget_button_user_config),
	(sheet_widget_adjustment_user_config_impl),
	(sheet_widget_checkbox_user_config),
	(sheet_widget_radio_button_user_config):
	* src/wbc-gtk.c (wbc_gtk_init):

2013-02-28  Morten Welinder  <terra@gnome.org>

	* configure.ac: remove the DISABLE_DEPRECATED defines even from
	development versions.  We now get the information through gcc
	warnings.
	(solver): Make solver code unconditional.  Feel free to not
	distribute the relevant plugins.

2013-02-26  Morten Welinder  <terra@gnome.org>

	* src/ssconvert.c (convert): Avoid segfault.  Fixes #694741.

2013-02-26  Jean Brefort  <jean.brefort@normalesup.org>

	* src/number-match.c: more introspection warnings.

2013-02-23  Morten Welinder  <terra@gnome.org>

	* */*.c: Avoid G_OBJECT casts for g_object_ref and g_object_unref.

2013-02-21  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (sheet_style_foreach): Take a GFunc, not a
	GHFunc.  All callers changed.  Impose a robust ordering.
	(sh_all_styles): New function replacing sh_foreach.

2013-02-20  Morten Welinder  <terra@gnome.org>

	* src/sheet-object-graph.c (dim_start): Survive malformed xml.

2013-02-20  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.ac: make configure --with-python fail when some
	dependency is missing.

2013-02-17  Morten Welinder  <terra@gnome.org>

	* configure.ac (set_more_warnings): Improve support for clang.

2013-02-16  Morten Welinder  <terra@gnome.org>

	* *.c: Clear up confusion between GtkStateType and GtkStateFlags.
	(Most cases a matter of 0 vs. 0.)

2013-02-16  Jean Brefort  <jean.brefort@normalesup.org>

	* schemas/org.gnome.gnumeric.dialogs.gschema.xml.in.in: fixed
	default value for stf export format.
	* src/dependent.c: fix introspection warnings.
	* src/sheet-style.c: ditto.

2013-02-15  Morten Welinder  <terra@gnome.org>

	* configure.ac (libspreadsheet_gtk_reqs): Explicitly require gtk
	3.2.0 just like goffice.

	* src/gui-util.c (gnm_store_text_tag_attr_in_pango): Adjust to
	requiring gtk 3.2

2013-02-14  Morten Welinder  <terra@gnome.org>

	* src/gnm-so-path.c (so_path_view_set_bounds): Use G_MAXDOUBLE,
	not MAXDOUBLE.  Fixes #693761.

2013-02-10  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (cb_unlink): gnm_style_unlink_dependents
	doesn't belong here.  We handle everything in rstyle_apply.

2013-02-08  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (rstyle_apply): Take extra range argument and
	link/unlink style dependents.  All callers changed.
	(sheet_style_shutdown): Set default style for whole sheet to
	ensure style dependents get cleared.

2013-02-07  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (cell_tile_optimize): Implement
	ptr-matrix-to-matrix optimization and use it to simplify things.

	* src/dependent.c (GnmStyleDependent): New type of dependent.
	When triggered, the cells in which it resised will be rerendered
	and redrawn.

	* src/mstyle.c (gnm_style_link_dependents)
	(gnm_style_unlink_dependents): New functions to manage style
	dependents due to conditional formatting.

2013-02-06  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (vector_apply_pstyle): Turn loop structure
	inside-out in anticipation of future changes.

	(col_indicies, row_indicies): Alignment of the corners of apply_to
	is only relevant if we are within the tile.

2013-02-06  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (tile_is_uniform): Extract from
	cell_tile_optimize.
	(vector_apply_pstyle): Don't return a value.
	(cell_tile_apply): Use tile_is_uniform.

2013-02-05  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (sheet_style_get): Simplify with "while"
	instead of crazy "goto".
	(cell_tile_apply): Simplify the covers-whole-tile case.

	* src/sheet.h (Sheet): Remove max_width and max_height members.
	All users fixed.

	* src/dependent.h (GnmDependentClass): Add pos handler.

	* src/dependent.c (dependent_pos): Use pos handler.
	(dummy_dep_eval): New null handler for GnmDependentClass::eval.

2013-02-04  Morten Welinder  <terra@gnome.org>

	* src/dependent.c (dependent_pos): Make global.

	* src/position.c (eval_pos_init_dep, parse_pos_init_dep): Use
	dependent_pos.

	* src/ssconvert.c (run_tool_test): Add code for running the
	regression tool.
	(convert): Run an analysis tool if requested.  (For testing.)

2013-02-02  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (rstyle_ctor): Split into rstyle_ctor_style
	and rstyle_ctor_pstyle.  All callers changed.

2013-01-18  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (gnm_matrix_new, gnm_matrix_free)
	(gnm_matrix_is_empty, gnm_matrix_from_value, gnm_matrix_to_value):
	New matrix support.
	(gnm_matrix_multiply): Renamed from mmult and changed to use above.
	(gnm_matrix_eigen): Change to take GnmMatrix arguments.

2013-01-15  Morten Welinder  <terra@gnome.org>

	* src/stf.c (stf_read_workbook_auto_csvtab): Fix crash for text
	import from command line.

2013-01-15  Jean Brefort  <jean.brefort@normalesup.org>

	* configure.ac: renamed configure.in and update obsolete macros.
	* configure.in: ditto.

2013-01-14  Colin Watson  <cjwatson@ubuntu.com>

	* configure.in: Add
	distutils.sysconfig.get_python_inc(plat_specific=True) to Python
	includes.

2013-01-14  Jean Brefort  <jean.brefort@normalesup.org>

	* src/sheet-control-gui.c (sheet_control_gui_new): typo.
	* src/sheet-object-graph.c (cb_graph_size_changed): do not remoe
	twice the top and bottom margins when displaying a graph
	sheet. [#691472]

2013-01-10  Morten Welinder  <terra@gnome.org>

	* src/func.c (gnm_func_lookup_or_add_placeholder): Drop copy_name
	argument and assume TRUE.  Drop scope name and assume NULL (which
	is what all callers should have used).  All callers changed.
	(gnm_func_add_placeholder): Ditto.
	(invent_name): Downcase the preferred name.
	(gnm_func_add_placeholder_full): Eliminate GNM_FUNC_FREE_NAME.
	(gnm_func_add): Initialize arg_names_p.

	* src/gnm-plugin.c (plugin_service_function_group_activate):
	Upgrade existing placeholder functions as needed.

	* src/func.c (gnm_func_upgrade_placeholder): Rename from
	gnm_func_upgrade_placeholder.  Take GnmFunc argument, not name.

2013-01-10  Morten Welinder  <terra@gnome.org>

	* src/func.c (gnm_func_add_placeholder_localized): New function.
	(gnm_func_add_placeholder_full): Extract from
	gnm_func_add_placeholder.  Handle localization better.
	(gnm_func_set_localized_name): New function.
	(gnm_func_free, gnm_func_get_name): Use
	gnm_func_set_localized_name.

	* src/parse-util.c (std_func_map): Improve handling of unknown
	function names.

	* src/func.c (gnm_func_group_remove_func): Factor this out from...
	(gnm_func_free): ...here.

2013-01-09  Morten Welinder  <terra@gnome.org>

	* src/symbol.c: delete.

	* src/func.c: rewrite to use GHashTable instead of symbol.c
	(gnm_func_lookup_prefix): Take extra argument indicating whether
	to search translated names.  Caller changed.

	* src/parse-util.c (std_func_map): Lookup translated name as
	needed.
	(parse_util_init): Add enviroment magic to turn on translated
	functions names.  This is not ready for prime time and should be
	controlled by a user preference eventually.

	* src/mathfunc.c (gnm_matrix_eigen): Silence warning.  Document a
	bit.

2013-01-07  Morten Welinder  <terra@gnome.org>

	* src/mathfunc.c (gnm_matrix_eigen): Detect underflow of the
	pivot.  Use gnm_hypot where possible.

2013-01-04  Morten Welinder  <terra@gnome.org>

	* src/gui-clipboard.c (gnm_x_claim_clipboard): Take a GdkDisplay
	as argument.  Keep track of displays.
	(gnm_x_disown_clipboard): New function.

	* src/application.c (gnm_app_clipboard_clear): Use
	gnm_x_disown_clipboard to make things multi-head safe.

2013-01-03  Morten Welinder  <terra@gnome.org>

	* src/collect.c (collect_floats): Fix handling of
	COLLECT_IGNORE_ERRORS.
	(collect_strings): Ditto.
	(callback_function_collect): Handle new flag COLLECT_ZERO_ERRORS.

2013-01-01  Morten Welinder  <terra@gnome.org>

	* src/mstyle.c (gnm_style_set_from_pango_attribute): Don't use
	deprecated goffice stuff.

	* src/cellspan.c (cell_register_span, cell_calc_span): Remove
	unused variable.
	* src/gnm-pane.c (control_point_leave_notify): Ditto.
	* src/gnm-plugin.c (plugin_service_solver_activate): Ditto.
	* src/wbc-gtk.c (wbc_gtk_create_edit_area): Ditto.

	* src/application.c (gnm_app_history_add): Kill warning.

2012-12-31  Morten Welinder  <terra@gnome.org>

	* src/sheet-style.c (sheet_style_resize): Double off-by-one.
	Fixed #690929.

	* src/ssdiff.c: Introduce --highlight mode.

2012-12-30  Morten Welinder  <terra@gnome.org>

	* src/ssdiff.c (main): Add option to send output to a file.

2012-12-29  Morten Welinder  <terra@gnome.org>

	* src/ssdiff.c (diff): Use C locale.
	(ignore_cell): Ignore arrays, except for the corner.
	(output_cell): New function taking proper care of value types,
	convensions, etc.
	(xml_cell_changed): Use output_cell.
	(compare_corresponding_cells): Don't use entered_text here either,
	although it's harmless.
	(output_cell, compare_corresponding_cells): Handle value formats
	too.

2012-12-28  Valek Filippov  <frob@df.ru>

	* gnm-pane.c, shell-control-gui.c: Replaced deprecated
	gdk_window_get_pointer calls.

2012-12-28  Morten Welinder  <terra@gnome.org>

	* src/*.c: Eliminate use of printf.

	* src/sheet-style.c (sheet_style_range_foreach): Move handling of
	range offset here.  This may need to move further.
	* src/ssdiff.c (cb_diff_sheets_styles_2): From here.
	(diff_sheets_cells): Ignore completely empty cells.
	(xml_sheet_start): Change meaning of Old and New attributes to be
	index_in_wb and absent when workbook doesn't have the sheet.
	(xml_style_changed): Describe style differences.

2012-12-27  Morten Welinder  <terra@gnome.org>

	* src/ssdiff.c (diff_sheets): Compare styles too.

	* src/sheet-style.c (sheet_style_range_foreach): Add optional
	range argument.  All callers changed.

2012-12-24  Morten Welinder  <terra@gnome.org>

	* src/ssdiff.c (def_cell_changed): Merge cell_added and
	cell_removed handlers into the cell_changed handler.
	(main): Add --xml option.

	* configure.in: ssconvert, ssindex, and ssgrep are no longer
	configurable.  We need ssconvert for the test and it's silly
	anyway.

2012-12-18  Morten Welinder <terra@gnome.org>

	* configure.in: Post-release bump.
